%global repo qt6integration
%global __provides_exclude_from ^%{_qt6_plugindir}/.*\.so$

Name:           deepin-qt6integration
Version:        6.0.30
Release:        %autorelease
Summary:        Qt 6 platform theme integration plugins for DDE

# The main code is under LGPL-3.0-or-later.

# Files under LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only:
# imageformatplugins/svg/main.cpp
# imageformatplugins/svg/qsvgiohandler.cpp
# imageformatplugins/svg/qsvgiohandler.h
# styleplugins/chameleon/dstyleanimation.cpp
# styleplugins/chameleon/dstyleanimation.h
# styles/main.cpp
# styles/norwegianwoodstyle.cpp
# styles/norwegianwoodstyle.h
# styles/widgetgallery.cpp
# styles/widgetgallery.h

# Files under LGPL-3.0-or-later OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only:
# iconengineplugins/svgiconengine/main.cpp
# iconengineplugins/svgiconengine/qsvgiconengine.cpp
# iconengineplugins/svgiconengine/qsvgiconengine.h

# README and png svg dci image files are under CC0-1.0
License:        LGPL-3.0-or-later AND (LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only) AND (LGPL-3.0-or-later OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only) AND CC0-1.0
URL:            https://github.com/linuxdeepin/qt6integration
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

BuildRequires:  cmake(qt6xdg)
BuildRequires:  cmake(DtkBuildHelper)
BuildRequires:  cmake(Dtk6Widget)

BuildRequires:  pkgconfig(mtdev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  glib2-devel
BuildRequires:  libasan

BuildRequires:  gtest-devel
BuildRequires:  gmock-devel

%description
qt6integration is the Qt platform theme integration plugins for Deepin Desktop
Environment. It includes multiple Qt5 plugins to make make DDE more Qt6 Apps
friendly.

%prep
%autosetup -p1 -n %{repo}-%{version}
rm -r 3rdparty/

%build
%cmake -GNinja -DDTK_VERSION=%{version}
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*
%doc README.md
%{_libdir}/qt6/plugins/iconengines/libdicon.so
%{_libdir}/qt6/plugins/iconengines/libdsvgicon.so
%{_libdir}/qt6/plugins/imageformats/libdci.so
%{_libdir}/qt6/plugins/imageformats/libdsvg.so
%{_libdir}/qt6/plugins/platformthemes/libqdeepin.so
%{_libdir}/qt6/plugins/styles/libchameleon.so

%changelog
%autochangelog
